This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1276665 - KDE Reports that Power Management Plugin Not loaded but KDE setting lists the service as running
KDE Reports that Power Management Plugin Not loaded but KDE setting lists the...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: powerdevil (Show other bugs)
22
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 08:33 EDT by Joe AbdHalim
Modified: 2016-07-19 14:56 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:56:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Power management listed as not available (51.71 KB, image/jpeg)
2015-10-30 08:33 EDT, Joe AbdHalim
no flags Details

  None (edit)
Description Joe AbdHalim 2015-10-30 08:33:59 EDT
Created attachment 1087920 [details]
Power management listed as not available

Description of problem:
KDE reports that the power management plugin as not running thus power management is not available. However in the KDE Setting the service is listed as running. Since the power management is not available, it is taking a long time to recover from a sleep mode. This only happens after the latest KDE5 update.


Version-Release number of selected component (if applicable):


How reproducible:
Happened after the latest KDE5 update.

Steps to Reproduce:
1.
2.
3.

Actual results:
Power management plugin is not running. 

Expected results:
Power management should be running and the sleep recovery shouldn't take a long time to realize.

Additional info:
See the attached images
Comment 1 Joe AbdHalim 2015-10-30 08:37:42 EDT
Links to both images;
http://imgur.com/9tMSNJL.png
http://imgur.com/PiiWRSq.png
Comment 2 Rex Dieter 2015-10-30 08:43:28 EDT
1. Can you try from konsole:

kcmshell5 powerdevilprofilesconfig

and post any output?


2. Does this problem only occur after resuming from sleep or does it happen on a fresh boot/login too?
Comment 3 Joe AbdHalim 2015-10-30 13:18:47 EDT
Hi,
1. Output from the above command, http://i.imgur.com/G3VHpfl.png

2. This happens from both fresh boot and resuming from sleep.

Thanks.
Comment 4 Rex Dieter 2015-10-30 13:30:03 EDT
I wanted the output (if any) displayed in konsole after executing the command, not a screenshot of the UI.  sorry if that wasn't clear.
Comment 5 Joe AbdHalim 2015-10-30 14:09:08 EDT
There was no output in the terminal and after waiting for sometime, the UI showed up so I screen grabbed that. I don't know if the command was supposed to do that.
Comment 6 Joe AbdHalim 2015-10-30 14:15:49 EDT
I tried one more time, and I'm  not sure if this is the right output that's needed;

QObject::connect: No such signal QDBusAbstractInterface::DeviceAdded(QString)
QObject::connect: No such signal QDBusAbstractInterface::DeviceRemoved(QString)
virtual QStringList Solid::Backends::UPower::UPowerManager::allDevices()  error:  "org.freedesktop.DBus.Error.TimedOut"

Let me know if I can be of any assistance further.

Thanks.
Comment 7 Fedora End Of Life 2016-07-19 14:56:02 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.